mqtt_request_t Struct Reference

`#include <mqtt_priv.h>`

## Data Fields

struct mqtt_request_t * | next
mqtt_request_cb_t | cb
u16_t | pkt_id
u16_t | timeout_diff

## Detailed Description

Pending request item, binds application callback to pending server requests

## Field Documentation

## cb

mqtt_request_cb_t mqtt_request_t::cb

Callback to upper layer

## next

struct mqtt_request_t* mqtt_request_t::next

Next item in list, NULL means this is the last in chain, next pointing at itself means request is unallocated

## pkt_id

u16_t mqtt_request_t::pkt_id

MQTT packet identifier

## timeout_diff

u16_t mqtt_request_t::timeout_diff

Expire time relative to element before this

The documentation for this struct was generated from the following file:

- src/include/lwip/apps/mqtt_priv.h